/**
 * Classe di test (fornita per testare il codice, NON era richiesta nel testo dell'esame).
 * 
 * @author Luca Marchetti
 * @version 1.0
 */
public class TestInsieme {

	/**
	 * Metodo main di prova.
	 *
	 * @param args vettore degli argomenti all'avvio
	 */
	public static void main(String[] args) {
		
		// ----------------------------------------------------
		// TEST INSIEME
		System.out.println("\nTest struttura dati tipo insieme");

		IntegerSet set = new Insieme();
		System.out.println("Numero elementi salvati: " + set.size());
		
		// inserimento di 12 valori
		set.insertElement(1);
		set.insertElement(2);
		set.insertElement(3);
		set.insertElement(4);
		set.insertElement(5);
		set.insertElement(6);
		set.insertElement(7);
		set.insertElement(8);
		set.insertElement(9);
		set.insertElement(10);
		set.insertElement(11);
		set.insertElement(12);
		System.out.println("Numero elementi salvati: " + set.size());
		
		// inserimento valori gia' presenti
		set.insertElement(4);
		set.insertElement(5);
		set.insertElement(6);
		System.out.println("Numero elementi salvati: " + set.size());
		
		// eliminazione del valore 4
		set.removeElement(4);
		System.out.println("Numero elementi salvati: " + set.size());
		
		// stampa elementi
		int[] v = set.getElements();
		for (int i = 0; i < v.length; i++)
			System.out.println("v[" + i + "] = " + v[i]);
		
		// pulizia insieme
		set.clear();
		System.out.println("Numero elementi salvati: " + set.size());
	}
}

